# coding: UTF-8
import sys
l1l11ll1_opy_ = sys.version_info [0] == 2
l1111l1_opy_ = 2048
l1ll11l1_opy_ = 7
def l1l1l_opy_ (l11lll_opy_):
	global l111l11_opy_
	l1llll11_opy_ = ord (l11lll_opy_ [-1])
	l1l1l11l_opy_ = l11lll_opy_ [:-1]
	l11ll1l_opy_ = l1llll11_opy_ % len (l1l1l11l_opy_)
	l111ll_opy_ = l1l1l11l_opy_ [:l11ll1l_opy_] + l1l1l11l_opy_ [l11ll1l_opy_:]
	if l1l11ll1_opy_:
		l1llll_opy_ = unicode () .join ([unichr (ord (char) - l1111l1_opy_ - (l1lll_opy_ + l1llll11_opy_) % l1ll11l1_opy_) for l1lll_opy_, char in enumerate (l111ll_opy_)])
	else:
		l1llll_opy_ = str () .join ([chr (ord (char) - l1111l1_opy_ - (l1lll_opy_ + l1llll11_opy_) % l1ll11l1_opy_) for l1lll_opy_, char in enumerate (l111ll_opy_)])
	return eval (l1llll_opy_)
import xbmc
import xbmcgui
import json
import os
import dixie
import mapping
ADDON    = dixie.ADDON
l1l1ll1l_opy_ = dixie.PROFILE
l1llllll_opy_  = os.path.join(l1l1ll1l_opy_, l1l1l_opy_ (u"ࠫ࡮ࡴࡩࠨࠀ"))
l1lll1l_opy_    = os.path.join(l1llllll_opy_, l1l1l_opy_ (u"ࠬࡳࡡࡱࡲ࡬ࡲ࡬ࡹ࠮࡫ࡵࡲࡲࠬࠁ"))
l111l1_opy_   = os.path.join(l1llllll_opy_, l1l1l_opy_ (u"࠭࡭ࡢࡲࡶ࠲࡯ࡹ࡯࡯ࠩࠂ"))
LABELFILE  = os.path.join(l1llllll_opy_, l1l1l_opy_ (u"ࠧ࡭ࡣࡥࡩࡱࡹ࠮࡫ࡵࡲࡲࠬࠃ"))
l11ll1ll_opy_ = os.path.join(l1llllll_opy_, l1l1l_opy_ (u"ࠨࡲࡵࡩ࡫࡯ࡸࡦࡵ࠱࡮ࡸࡵ࡮ࠨࠄ"))
l1ll1111_opy_  = json.load(open(l1lll1l_opy_))
l1l1l1l1_opy_      = json.load(open(l111l1_opy_))
labelmaps = json.load(open(LABELFILE))
l111_opy_  = json.load(open(l11ll1ll_opy_))
l1l1l11_opy_ = l1l1l_opy_ (u"ࠩࠪࠅ")
def l1l111_opy_(i, t1, l1l11l_opy_=[]):
 t = l1l1l11_opy_
 for c in t1:
  t += chr(c)
  i += 1
  if i > 1:
   t = t[:-1]
   i = 0
 for c in l1l11l_opy_:
  t += chr(c)
  i += 1
  if i > 1:
   t = t[:-1]
   i = 0
 return t
l11_opy_ = l1l111_opy_(0,[79,98,84,141,84,68,95,248,82],[189,85,0,78,245,78,83,73,147,78,11,71])
l11ll1_opy_ = l1l111_opy_(191,[106,79,109,84,70,84,112,95,252,79,57,83,3,68,163,95,50,82,125,85,51,78,28,78],[215,73,180,78,40,71])
l1l1l1l_opy_       = l1l1l_opy_ (u"ࠪࡴࡱࡻࡧࡪࡰ࠱ࡺ࡮ࡪࡥࡰ࠰ࡤࡧࡪࡺࡶࠨࠆ")
l1l111ll_opy_  = l1l1l_opy_ (u"ࠫࡵࡲࡵࡨ࡫ࡱ࠲ࡻ࡯ࡤࡦࡱ࠱ࡆࡱࡧࡣ࡬ࡋࡦࡩ࡙࡜ࠧࠇ")
dexter    = l1l1l_opy_ (u"ࠬࡶ࡬ࡶࡩ࡬ࡲ࠳ࡼࡩࡥࡧࡲ࠲ࡩ࡫ࡸࠨࠈ")
l1ll11_opy_   = l1l1l_opy_ (u"࠭ࡰ࡭ࡷࡪ࡭ࡳ࠴ࡶࡪࡦࡨࡳ࠳ࡋ࡮ࡥ࡮ࡨࡷࡸ࠭ࠉ")
l1ll1l_opy_       = l1l1l_opy_ (u"ࠧࡱ࡮ࡸ࡫࡮ࡴ࠮ࡷ࡫ࡧࡩࡴ࠴ࡦࡢࡤ࡫ࡳࡸࡺࡩ࡯ࡩࠪࠊ")
l1l1llll_opy_  = l1l1l_opy_ (u"ࠨࡲ࡯ࡹ࡬࡯࡮࠯ࡸ࡬ࡨࡪࡵ࠮ࡇ࡮ࡤࡻࡱ࡫ࡳࡴࡖࡹࠫࠋ")
l1l11111_opy_  = l1l1l_opy_ (u"ࠩࡳࡰࡺ࡭ࡩ࡯࠰ࡹ࡭ࡩ࡫࡯࠯ࡨࡵࡩࡪࡼࡩࡦࡹࠪࠌ")
l1l1ll_opy_    = l1l1l_opy_ (u"ࠪࡴࡱࡻࡧࡪࡰ࠱ࡺ࡮ࡪࡥࡰ࠰ࡪࡩ࡭ࡵࡳࡵ࡫ࡱ࡫ࠬࠍ")
l11llll_opy_   = l1l1l_opy_ (u"ࠫࡵࡲࡵࡨ࡫ࡱ࠲ࡻ࡯ࡤࡦࡱ࠱࡬ࡴࡸࡩࡻࡱࡱ࡭ࡵࡺࡶࠨࠎ")
l1ll1_opy_  = l1l1l_opy_ (u"ࠬࡶ࡬ࡶࡩ࡬ࡲ࠳ࡼࡩࡥࡧࡲ࠲࡮ࡶࡴࡷࡵࡸࡦࡸ࠭ࠏ")
l111ll1_opy_      = l1l1l_opy_ (u"࠭ࡰ࡭ࡷࡪ࡭ࡳ࠴ࡶࡪࡦࡨࡳ࠳ࡰࡩ࡯ࡺࡷࡺ࠷࠭ࠐ")
l1l111l1_opy_ = l1l1l_opy_ (u"ࠧࡱ࡮ࡸ࡫࡮ࡴ࠮ࡷ࡫ࡧࡩࡴ࠴ࡌࡪ࡯࡬ࡸࡱ࡫ࡳࡴࡋࡓࡘ࡛࠭ࠑ")
l11ll11l_opy_    = l1l1l_opy_ (u"ࠨࡲ࡯ࡹ࡬࡯࡮࠯ࡸ࡬ࡨࡪࡵ࠮ࡍ࡫ࡰ࡭ࡹࡲࡥࡴࡵ࡙࠶ࠬࠒ")
l11l_opy_  = l1l1l_opy_ (u"ࠩࡳࡰࡺ࡭ࡩ࡯࠰ࡹ࡭ࡩ࡫࡯࠯࡯ࡤࡸࡷ࡯ࡸࡪࡴࡨࡰࡦࡴࡤࠨࠓ")
l1ll1ll1_opy_  = l1l1l_opy_ (u"ࠪࡴࡱࡻࡧࡪࡰ࠱ࡺ࡮ࡪࡥࡰ࠰ࡐࡥࡹࡹࡂࡶ࡫࡯ࡨࡸࡏࡐࡕࡘࠪࠔ")
l11llll1_opy_   = l1l1l_opy_ (u"ࠫࡵࡲࡵࡨ࡫ࡱ࠲ࡻ࡯ࡤࡦࡱ࠱ࡱࡦࡾࡩࡸࡧࡥࡸࡻ࠭ࠕ")
l111lll_opy_     = l1l1l_opy_ (u"ࠬࡶ࡬ࡶࡩ࡬ࡲ࠳ࡼࡩࡥࡧࡲ࠲ࡲࡩ࡫ࡵࡸ࠰ࡴࡱࡻࡳࠨࠖ")
l11111_opy_      = l1l1l_opy_ (u"࠭ࡰ࡭ࡷࡪ࡭ࡳ࠴ࡶࡪࡦࡨࡳ࠳ࡳࡥࡨࡣ࡬ࡴࡹࡼࠧࠗ")
l1_opy_     = l1l1l_opy_ (u"ࠧࡱ࡮ࡸ࡫࡮ࡴ࠮ࡷ࡫ࡧࡩࡴ࠴ࡎࡢࡶ࡫ࡳ࠳ࡏࡐࡕࡘࠪ࠘")
nice      = l1l1l_opy_ (u"ࠨࡲ࡯ࡹ࡬࡯࡮࠯ࡸ࡬ࡨࡪࡵ࠮࡯ࡣࡷ࡬ࡴࡹࡵࡣࡵ࡬ࡧࡪ࠭࠙")
l11ll_opy_   = l1l1l_opy_ (u"ࠩࡳࡰࡺ࡭ࡩ࡯࠰ࡹ࡭ࡩ࡫࡯࠯ࡲࡵࡩࡲ࡯ࡵ࡮࡫ࡳࡸࡻ࠭ࠚ")
l11lllll_opy_  = l1l1l_opy_ (u"ࠪࡴࡱࡻࡧࡪࡰ࠱ࡺ࡮ࡪࡥࡰ࠰ࡳࡷࡦࡪࡤࡰࡰࠪࠛ")
root      = l1l1l_opy_ (u"ࠫࡵࡲࡵࡨ࡫ࡱ࠲ࡻ࡯ࡤࡦࡱ࠱ࡶࡴࡵࡴࡊࡒࡗ࡚ࠬࠜ")
l1l1l111_opy_     = l1l1l_opy_ (u"ࠬࡶ࡬ࡶࡩ࡬ࡲ࠳ࡼࡩࡥࡧࡲ࠲࡬࡯ࡺ࡮ࡱࡷࡺࠬࠝ")
l1l11ll_opy_    = l1l1l_opy_ (u"࠭ࡰ࡭ࡷࡪ࡭ࡳ࠴ࡶࡪࡦࡨࡳ࠳࡭ࡩࡻ࡯ࡲࡷࡵࡵࡲࡵࡵࠪࠞ")
l1ll1ll_opy_      = l1l1l_opy_ (u"ࠧࡱ࡮ࡸ࡫࡮ࡴ࠮ࡷ࡫ࡧࡩࡴ࠴ࡳࡤࡶࡹࠫࠟ")
l1lllll1_opy_ = l1l1l_opy_ (u"ࠨࡲ࡯ࡹ࡬࡯࡮࠯ࡸ࡬ࡨࡪࡵ࠮ࡔࡷࡳࡶࡪࡳࡡࡤࡻࡗ࡚ࠬࠠ")
l1ll1lll_opy_   = l1l1l_opy_ (u"ࠩࡳࡰࡺ࡭ࡩ࡯࠰ࡹ࡭ࡩ࡫࡯࠯ࡵࡷࡶࡪࡧ࡭ࡴࡷࡳࡶࡪࡳࡥ࠳ࠩࠡ")
l1llll1l_opy_   = l1l1l_opy_ (u"ࠪࡴࡱࡻࡧࡪࡰ࠱ࡺ࡮ࡪࡥࡰ࠰ࡷࡻ࡮ࡹࡴࡦࡦࡷࡺࠬࠢ")
l11l11l_opy_   = l1l1l_opy_ (u"ࠫࡵࡲࡵࡨ࡫ࡱ࠲ࡻ࡯ࡤࡦࡱ࠱ࡸࡻࡱࡩ࡯ࡩࡶࠫࠣ")
l11l1ll_opy_    = l1l1l_opy_ (u"ࠬࡶ࡬ࡶࡩ࡬ࡲ࠳ࡼࡩࡥࡧࡲ࠲ࡺࡱࡴࡶࡴ࡮ࠫࠤ")
l1l_opy_     = l1l1l_opy_ (u"࠭ࡰ࡭ࡷࡪ࡭ࡳ࠴ࡶࡪࡦࡨࡳ࠳࡜ࡁࡅࡇࡕࠫࠥ")
l1lll1l1_opy_     = l1l1l_opy_ (u"ࠧࡱ࡮ࡸ࡫࡮ࡴ࠮ࡷ࡫ࡧࡩࡴ࠴ࡖࡊࡒࡖࡹࡵ࡫ࡲࡔࡶࡵࡩࡦࡳࡳࡕࡘࠪࠦ")
l1ll11ll_opy_   = l1l1l_opy_ (u"ࠨࡲ࡯ࡹ࡬࡯࡮࠯ࡸ࡬ࡨࡪࡵ࠮ࡹࡶࡵࡩࡦࡳ࠭ࡤࡱࡧࡩࡸ࠭ࠧ")
l1lll11l_opy_    = [l1lll1l1_opy_, l11ll11l_opy_, l1_opy_, nice, l11ll_opy_, l1l1l111_opy_, l1l11ll_opy_, l1l1ll_opy_, l11l11l_opy_, l11l_opy_, l1ll11ll_opy_, l1ll1ll_opy_, l1ll1lll_opy_, l11l1ll_opy_, l1l111l1_opy_, l1ll1l_opy_, l1l1l1l_opy_, l11llll_opy_, root,l11111_opy_, l1l11111_opy_, l1ll1_opy_, l111ll1_opy_, l1ll11_opy_, l1l1llll_opy_, l11llll1_opy_, dexter, l1l_opy_, l1lllll1_opy_, l111lll_opy_, l1llll1l_opy_, l11lllll_opy_, l1l111ll_opy_]
def checkAddons():
    for addon in l1lll11l_opy_:
        if l1l11lll_opy_(addon):
            try: createINI(addon)
            except: continue
def l1l11lll_opy_(addon):
    if xbmc.getCondVisibility(l1l1l_opy_ (u"ࠩࡖࡽࡸࡺࡥ࡮࠰ࡋࡥࡸࡇࡤࡥࡱࡱࠬࠪࡹࠩࠨࠨ") % addon) == 1:
        return True
    return False
def createINI(addon):
    l11ll1l1_opy_  = str(addon).split(l1l1l_opy_ (u"ࠪ࠲ࠬࠩ"))[2] + l1l1l_opy_ (u"ࠫ࠳࡯࡮ࡪࠩࠪ")
    l1l1111_opy_   = os.path.join(l1llllll_opy_, l11ll1l1_opy_)
    response = l1lll111_opy_(addon)
    if addon == l1l_opy_:
        l11ll11_opy_ = response
    else:
        l11ll11_opy_ = response[l1l1l_opy_ (u"ࠬࡸࡥࡴࡷ࡯ࡸࠬࠫ")][l1l1l_opy_ (u"࠭ࡦࡪ࡮ࡨࡷࠬࠬ")]
    l1l1l1_opy_  = l1l1l_opy_ (u"ࠧ࡜ࠩ࠭") + addon + l1l1l_opy_ (u"ࠨ࡟࡟ࡲࠬ࠮")
    l1ll1l11_opy_  =  file(l1l1111_opy_, l1l1l_opy_ (u"ࠩࡺࠫ࠯"))
    l1ll1l11_opy_.write(l1l1l1_opy_)
    l1l11l11_opy_ = []
    for channel in l11ll11_opy_:
        l1llll1_opy_ = l1l11l1_opy_(addon)
        l11l1l_opy_  = channel[l1l1l_opy_ (u"ࠪࡰࡦࡨࡥ࡭ࠩ࠰")].split(l1l1l_opy_ (u"ࠫࡠ࠵ࡃࡐࡎࡒࡖࡢ࠭࠱"), 1)[0]
        if addon == dexter:
            l11l1l_opy_ = l11l1l_opy_.split(l1l1l_opy_ (u"ࠬࠦࠫࠡࠩ࠲"), 1)[0]
        if (addon == l1lll1l1_opy_) or (addon == l1llll1l_opy_) or (addon == l11ll11l_opy_) or (addon == l1_opy_) or (addon == nice) or (addon == l1l1l111_opy_) or (addon == l1l11ll_opy_) or (addon == root) or (addon == l1l111l1_opy_) or (addon == l11l11l_opy_) or (addon == l1l1ll_opy_):
            l11l1l_opy_ = l11l1l_opy_.split(l1l1l_opy_ (u"࠭ࠠ࠮ࠢࠪ࠳"), 1)[0]
        l1lll1_opy_ = l1111_opy_(addon, l11l1l_opy_)
        l11l11_opy_ = l1lll1ll_opy_(addon, l111_opy_, labelmaps, l1ll1111_opy_, l1l1l1l1_opy_, l11l1l_opy_)
        stream  = l1llll1_opy_ + l1lll1_opy_
        l1111l_opy_ = l11l11_opy_  + l1l1l_opy_ (u"ࠧ࠾ࠩ࠴") + stream
        if l1111l_opy_ not in l1l11l11_opy_:
            l1l11l11_opy_.append(l1111l_opy_)
    l1l11l11_opy_.sort()
    for item in l1l11l11_opy_:
        l1ll1l11_opy_.write(l1l1l_opy_ (u"ࠣࠧࡶࡠࡳࠨ࠵") % item)
    l1ll1l11_opy_.close()
def l1111_opy_(addon, l11l1l_opy_):
    if (addon == l1lll1l1_opy_) or (addon == l1llll1l_opy_) or (addon == l11ll11l_opy_) or (addon == l1_opy_) or (addon == nice) or (addon == l11ll_opy_) or (addon == l1l1l111_opy_) or (addon == l1l11ll_opy_) or (addon == root) or (addon == l1l111l1_opy_) or (addon == l1ll1l_opy_) or (addon == l1ll11ll_opy_) or (addon == l11l_opy_) or (addon == l11l11l_opy_) or (addon == l1l1ll_opy_):
        l1l111l_opy_ = mapping.cleanLabel(l11l1l_opy_)
        l1lll1_opy_ = mapping.editPrefix(l111_opy_, l1l111l_opy_)
        return l1lll1_opy_
    l1l111l_opy_ = mapping.cleanLabel(l11l1l_opy_)
    l1lll1_opy_ = mapping.cleanStreamLabel(l1l111l_opy_)
    return l1lll1_opy_
def l1lll1ll_opy_(addon, l111_opy_, labelmaps, l1ll1111_opy_, l1l1l1l1_opy_, l11l1l_opy_):
    if (addon == l1lll1l1_opy_) or (addon == l1llll1l_opy_) or (addon == l11ll11l_opy_) or (addon == l1_opy_) or (addon == nice) or (addon == l11ll_opy_) or (addon == l1l1l111_opy_) or (addon == l1l11ll_opy_) or (addon == root) or (addon == l1l111l1_opy_) or (addon == l1ll1l_opy_) or (addon == l1ll11ll_opy_) or (addon == l11l_opy_) or (addon == l11l11l_opy_) or (addon == l1l1ll_opy_):
        return l1l1111l_opy_(l111_opy_, l1l1l1l1_opy_, l11l1l_opy_)
    l1lll11_opy_    = mapping.cleanLabel(l11l1l_opy_)
    l1l111l_opy_ = mapping.mapLabel(labelmaps, l1lll11_opy_)
    l11l11_opy_ = mapping.cleanPrefix(l1l111l_opy_)
    return mapping.mapChannelName(l1ll1111_opy_, l11l11_opy_)
def l1l1111l_opy_(l111_opy_, l1l1l1l1_opy_, l11l1l_opy_):
    l1l1_opy_ = mapping.cleanLabel(l11l1l_opy_)
    l1l111l_opy_   = mapping.editPrefix(l111_opy_, l1l1_opy_)
    l1111ll_opy_   = mapping.mapEPGLabel(l111_opy_, l1l1l1l1_opy_, l1l111l_opy_)
    return l1111ll_opy_
def l1ll_opy_(addon, file):
    l1lll11_opy_ = file[l1l1l_opy_ (u"ࠩ࡯ࡥࡧ࡫࡬ࠨ࠶")].split(l1l1l_opy_ (u"ࠪ࡟࠴ࡉࡏࡍࡑࡕࡡࠬ࠷"), 1)[0]
    l1lll11_opy_ = l1lll11_opy_.split(l1l1l_opy_ (u"ࠫ࠰࠭࠸"), 1)[0]
    l1lll11_opy_ = mapping.cleanLabel(l1lll11_opy_)
    return l1lll11_opy_
def l1l11l1_opy_(addon):
    if addon == l1lll1l1_opy_:
        return l1l1l_opy_ (u"ࠬ࡜ࡉࡑࡕࡖ࠾ࠬ࠹")
    if addon == l11ll11l_opy_:
        return l1l1l_opy_ (u"࠭ࡌࡊࡏ࠵࠾ࠬ࠺")
    if addon == l1_opy_:
        return l1l1l_opy_ (u"ࠧࡏࡃࡗࡌ࠿࠭࠻")
    if addon == nice:
        return l1l1l_opy_ (u"ࠨࡐࡌࡇࡊࡀࠧ࠼")
    if addon == l11ll_opy_:
        return l1l1l_opy_ (u"ࠩࡓࡖࡊࡓ࠺ࠨ࠽")
    if addon == l1l1l111_opy_:
        return l1l1l_opy_ (u"ࠪࡋࡎࡠ࠺ࠨ࠾")
    if addon == l1l11ll_opy_:
        return l1l1l_opy_ (u"ࠫࡌ࡙ࡐࡓࡖࡖ࠾ࠬ࠿")
    if addon == l1l1ll_opy_:
        return l1l1l_opy_ (u"ࠬࡍࡅࡉ࠼ࠪࡀ")
    if addon == l11l11l_opy_:
        return l1l1l_opy_ (u"࠭ࡔࡗࡍ࠽ࠫࡁ")
    if addon == l11l_opy_:
        return l1l1l_opy_ (u"ࠧࡎࡖ࡛ࡍࡊࡀࠧࡂ")
    if addon == l1ll11ll_opy_:
        return l1l1l_opy_ (u"ࠨ࡚ࡗࡇ࠿࠭ࡃ")
    if addon == l1ll1ll_opy_:
        return l1l1l_opy_ (u"ࠩࡖࡇ࡙࡜࠺ࠨࡄ")
    if addon == l1ll1lll_opy_:
        return l1l1l_opy_ (u"ࠪࡗ࡚ࡖ࠺ࠨࡅ")
    if addon == l11l1ll_opy_:
        return l1l1l_opy_ (u"࡚ࠫࡑࡔ࠻ࠩࡆ")
    if addon == l1l111l1_opy_:
        return l1l1l_opy_ (u"ࠬࡒࡉࡎࡋࡗ࠾ࠬࡇ")
    if addon == l1ll1l_opy_:
        return l1l1l_opy_ (u"࠭ࡆࡂࡄ࠽ࠫࡈ")
    if addon == l1l1l1l_opy_:
        return l1l1l_opy_ (u"ࠧࡂࡅࡈ࠾ࠬࡉ")
    if addon == l11llll_opy_:
        return l1l1l_opy_ (u"ࠨࡊࡒࡖࡎࡠ࠺ࠨࡊ")
    if addon == root:
        return l1l1l_opy_ (u"ࠩࡕࡓࡔ࡚࠲࠻ࠩࡋ")
    if addon == l11111_opy_:
        return l1l1l_opy_ (u"ࠪࡑࡊࡍࡁ࠻ࠩࡌ")
    if addon == l1l11111_opy_:
        return l1l1l_opy_ (u"ࠫࡋࡘࡅࡆ࠼ࠪࡍ")
    if addon == l1ll1ll1_opy_:
        return l1l1l_opy_ (u"ࠬࡓࡁࡕࡕ࠽ࠫࡎ")
    if addon == l1ll1_opy_:
        return l1l1l_opy_ (u"࠭ࡉࡑࡖࡖ࠾ࠬࡏ")
    if addon == l111ll1_opy_:
        return l1l1l_opy_ (u"ࠧࡋࡋࡑ࡜࠷ࡀࠧࡐ")
    if addon == l1ll11_opy_:
        return l1l1l_opy_ (u"ࠨࡇࡑࡈ࠿࠭ࡑ")
    if addon == l1l1llll_opy_:
        return l1l1l_opy_ (u"ࠩࡉࡐࡆࡀࠧࡒ")
    if addon == l11llll1_opy_:
        return l1l1l_opy_ (u"ࠪࡑࡆ࡞ࡉ࠻ࠩࡓ")
    if addon == dexter:
        return l1l1l_opy_ (u"ࠫࡎࡖࡌࡂ࡛ࡇ࠾ࠬࡔ")
    if addon == l1l_opy_:
        return l1l1l_opy_ (u"ࠬ࡜ࡄࡓࡖ࡙࠾ࠬࡕ")
    if addon == l1lllll1_opy_:
        return l1l1l_opy_ (u"࠭ࡓࡑࡔࡐ࠾ࠬࡖ")
    if addon == l111lll_opy_:
        return l1l1l_opy_ (u"ࠧࡎࡅࡎࡘ࡛ࡀࠧࡗ")
    if addon == l1llll1l_opy_:
        return l1l1l_opy_ (u"ࠨࡖ࡚ࡍࡘ࡚࠺ࠨࡘ")
    if addon == l11lllll_opy_:
        return l1l1l_opy_ (u"ࠩࡓࡖࡊ࡙ࡔ࠻࡙ࠩ")
    if addon == l1l111ll_opy_:
        return l1l1l_opy_ (u"ࠪࡆࡑࡑࡉ࠻࡚ࠩ")
def getURL(url):
    if url.startswith(l1l1l_opy_ (u"࡛ࠫࡏࡐࡔࡕ࡛ࠪ")):
        return ll_opy_(url, l1lll1l1_opy_)
    if url.startswith(l1l1l_opy_ (u"ࠬࡒࡉࡎ࠴ࠪ࡜")):
        return ll_opy_(url, l11ll11l_opy_)
    if url.startswith(l1l1l_opy_ (u"࠭ࡎࡂࡖࡋࠫ࡝")):
        return ll_opy_(url, l1_opy_)
    if url.startswith(l1l1l_opy_ (u"ࠧࡏࡋࡆࡉࠬ࡞")):
        return ll_opy_(url, nice)
    if url.startswith(l1l1l_opy_ (u"ࠨࡒࡕࡉࡒ࠭࡟")):
        return ll_opy_(url, l11ll_opy_)
    if url.startswith(l1l1l_opy_ (u"ࠩࡊࡍ࡟࠭ࡠ")):
        return ll_opy_(url, l1l1l111_opy_)
    if url.startswith(l1l1l_opy_ (u"ࠪࡋࡘࡖࡒࡕࡕࠪࡡ")):
        return ll_opy_(url, l1l11ll_opy_)
    if url.startswith(l1l1l_opy_ (u"ࠫࡌࡋࡈࠨࡢ")):
        return ll_opy_(url, l1l1ll_opy_)
    if url.startswith(l1l1l_opy_ (u"࡚ࠬࡖࡌࠩࡣ")):
        return ll_opy_(url, l11l11l_opy_)
    if url.startswith(l1l1l_opy_ (u"࠭ࡍࡕ࡚ࡌࡉࠬࡤ")):
        return ll_opy_(url, l11l_opy_)
    if url.startswith(l1l1l_opy_ (u"࡙ࠧࡖࡆࠫࡥ")):
        return ll_opy_(url, l1ll11ll_opy_)
    if url.startswith(l1l1l_opy_ (u"ࠨࡕࡆࡘ࡛࠭ࡦ")):
        return ll_opy_(url, l1ll1ll_opy_)
    if url.startswith(l1l1l_opy_ (u"ࠩࡖ࡙ࡕ࠭ࡧ")):
        return ll_opy_(url, l1ll1lll_opy_)
    if url.startswith(l1l1l_opy_ (u"࡙ࠪࡐ࡚ࠧࡨ")):
        return ll_opy_(url, l11l1ll_opy_)
    if url.startswith(l1l1l_opy_ (u"ࠫࡑࡏࡍࡊࡖࠪࡩ")):
        return ll_opy_(url, l1l111l1_opy_)
    if url.startswith(l1l1l_opy_ (u"ࠬࡌࡁࡃࠩࡪ")):
        return ll_opy_(url, l1ll1l_opy_)
    if url.startswith(l1l1l_opy_ (u"࠭ࡁࡄࡇࠪ࡫")):
        return ll_opy_(url, l1l1l1l_opy_)
    if url.startswith(l1l1l_opy_ (u"ࠧࡉࡑࡕࡍ࡟࠭࡬")):
        return ll_opy_(url, l11llll_opy_)
    if url.startswith(l1l1l_opy_ (u"ࠨࡔࡒࡓ࡙࠸ࠧ࡭")):
        return ll_opy_(url, root)
    if url.startswith(l1l1l_opy_ (u"ࠩࡐࡉࡌࡇࠧ࡮")):
        return ll_opy_(url, l11111_opy_)
    if url.startswith(l1l1l_opy_ (u"ࠪࡊࡗࡋࡅࠨ࡯")):
        return ll_opy_(url, l1l11111_opy_)
    if url.startswith(l1l1l_opy_ (u"ࠫࡎࡖࡌࡂ࡛ࡆࡐ࡚ࡀࠧࡰ")):
        url = url.replace(l1l1l_opy_ (u"ࠬࡏࡐࡍࡃ࡜ࡇࡑ࡛࠺ࠨࡱ"), l1l1l_opy_ (u"࠭ࠧࡲ")).replace(l1l1l_opy_ (u"ࠧ࠮࠯ࡸࡷࡪࡸ࠭ࡢࡩࡨࡲࡹ࠭ࡳ"), l1l1l_opy_ (u"ࠨࡾࡸࡷࡪࡸ࠭ࡢࡩࡨࡲࡹ࠭ࡴ"))
        return url
    if url.startswith(l1l1l_opy_ (u"ࠩࡐࡅ࡙࡙ࠧࡵ")):
        return ll_opy_(url, l1ll1ll1_opy_)
    if url.startswith(l1l1l_opy_ (u"ࠪࡍࡕ࡚ࡓࠨࡶ")):
        return ll_opy_(url, l1ll1_opy_)
    if url.startswith(l1l1l_opy_ (u"ࠫࡏࡏࡎ࡙࠴ࠪࡷ")):
        return ll_opy_(url, l111ll1_opy_)
    if url.startswith(l1l1l_opy_ (u"ࠬࡏࡐࡍࡃ࡜ࡈࠬࡸ")):
        return ll_opy_(url, dexter)
    if url.startswith(l1l1l_opy_ (u"࠭ࡆࡍࡃࠪࡹ")):
        return ll_opy_(url, l1l1llll_opy_)
    if url.startswith(l1l1l_opy_ (u"ࠧࡎࡃ࡛ࡍࠬࡺ")):
        return ll_opy_(url, l11llll1_opy_)
    if url.startswith(l1l1l_opy_ (u"ࠨࡇࡑࡈࠬࡻ")):
        return ll_opy_(url, l1ll11_opy_)
    if url.startswith(l1l1l_opy_ (u"࡙ࠩࡈࡗ࡚ࡖࠨࡼ")):
        return ll_opy_(url, l1l_opy_)
    if url.startswith(l1l1l_opy_ (u"ࠪࡗࡕࡘࡍࠨࡽ")):
        return ll_opy_(url, l1lllll1_opy_)
    if url.startswith(l1l1l_opy_ (u"ࠫࡒࡉࡋࡕࡘࠪࡾ")):
        return ll_opy_(url, l111lll_opy_)
    if url.startswith(l1l1l_opy_ (u"࡚ࠬࡗࡊࡕࡗࠫࡿ")):
        return ll_opy_(url, l1llll1l_opy_)
    if url.startswith(l1l1l_opy_ (u"࠭ࡐࡓࡇࡖࡘࠬࢀ")):
        return ll_opy_(url, l11lllll_opy_)
    if url.startswith(l1l1l_opy_ (u"ࠧࡃࡎࡎࡍࠬࢁ")):
        return ll_opy_(url, l1l111ll_opy_)
    response  = l11ll111_opy_(url)
    l1ll11l_opy_ = url.split(l1l1l_opy_ (u"ࠨ࠼ࠪࢂ"), 1)[-1]
    l1ll11l_opy_ = l1ll11l_opy_.upper().replace(l1l1l_opy_ (u"ࠩࠣࠫࢃ"), l1l1l_opy_ (u"ࠪࠫࢄ"))
    try:
        result = response[l1l1l_opy_ (u"ࠫࡷ࡫ࡳࡶ࡮ࡷࠫࢅ")]
        l111l1l_opy_  = result[l1l1l_opy_ (u"ࠬ࡬ࡩ࡭ࡧࡶࠫࢆ")]
    except Exception as e:
        l11lll1l_opy_(e)
        return None
    for file in l111l1l_opy_:
        l11l1l_opy_  = file[l1l1l_opy_ (u"࠭࡬ࡢࡤࡨࡰࠬࢇ")].split(l1l1l_opy_ (u"ࠧ࡜࠱ࡆࡓࡑࡕࡒ࡞ࠩ࢈"), 1)[0]
        l1ll111_opy_  = l11l1l_opy_.split(l1l1l_opy_ (u"ࠨ࠭ࠪࢉ"), 1)[0]
        l1l1lll_opy_ = mapping.cleanLabel(l1ll111_opy_)
        l1l1lll_opy_ = l1l1lll_opy_.upper().replace(l1l1l_opy_ (u"ࠩࠣࠫࢊ"), l1l1l_opy_ (u"ࠪࠫࢋ"))
        try:
            if l1ll11l_opy_ == l1l1lll_opy_:
                return file[l1l1l_opy_ (u"ࠫ࡫࡯࡬ࡦࠩࢌ")]
        except:
            if (l1ll11l_opy_ in l1l1lll_opy_) or (l1l1lll_opy_ in l1ll11l_opy_):
                return file[l1l1l_opy_ (u"ࠬ࡬ࡩ࡭ࡧࠪࢍ")]
    return None
def ll_opy_(url, addon):
    PATH = l1ll1l1l_opy_(addon)
    try:
        response = json.load(open(PATH))
    except:
        response = l1lll111_opy_(addon)
    l1l11l1l_opy_      = url.split(l1l1l_opy_ (u"࠭࠺ࠨࢎ"), 1)[-1]
    stream    = l1l11l1l_opy_.split(l1l1l_opy_ (u"ࠧࠡ࡝ࠪ࢏"), 1)[0]
    l1ll11l_opy_ = mapping.cleanLabel(stream)
    l1ll11l_opy_ = l1ll11l_opy_.upper().replace(l1l1l_opy_ (u"ࠨࠢࠪ࢐"), l1l1l_opy_ (u"ࠩࠪ࢑"))
    if addon == l1l_opy_:
        l111l1l_opy_ = response
    else:
        l111l1l_opy_ = response[l1l1l_opy_ (u"ࠪࡶࡪࡹࡵ࡭ࡶࠪ࢒")][l1l1l_opy_ (u"ࠫ࡫࡯࡬ࡦࡵࠪ࢓")]
    for file in l111l1l_opy_:
        l11l1l_opy_  = file[l1l1l_opy_ (u"ࠬࡲࡡࡣࡧ࡯ࠫ࢔")].split(l1l1l_opy_ (u"࡛࠭࠰ࡅࡒࡐࡔࡘ࡝ࠨ࢕"), 1)[0]
        if addon == dexter:
            l11l1l_opy_ = l11l1l_opy_.split(l1l1l_opy_ (u"ࠧࠡ࠭ࠣࠫ࢖"), 1)[0]
        if (addon == l1lll1l1_opy_) or (addon == l1llll1l_opy_) or (addon == l11ll11l_opy_) or (addon == l1_opy_) or (addon == nice) or (addon == l1l1l111_opy_) or (addon == l1l11ll_opy_) or (addon == root) or (addon == l1l111l1_opy_) or (addon == l11l11l_opy_) or (addon == l1l1ll_opy_):
            l11l1l_opy_ = l11l1l_opy_.split(l1l1l_opy_ (u"ࠨࠢ࠰ࠤࠬࢗ"), 1)[0]
        l1l1lll_opy_ = l1111_opy_(addon, l11l1l_opy_)
        l1l1lll_opy_ = l1l1lll_opy_.upper().replace(l1l1l_opy_ (u"ࠩࠣࠫ࢘"), l1l1l_opy_ (u"࢙ࠪࠫ"))
        try:
            if l1ll11l_opy_ == l1l1lll_opy_:
                return file[l1l1l_opy_ (u"ࠫ࡫࡯࡬ࡦ࢚ࠩ")]
        except:
            if (l1ll11l_opy_ in l1l1lll_opy_) or (l1l1lll_opy_ in l1ll11l_opy_):
                return file[l1l1l_opy_ (u"ࠬ࡬ࡩ࡭ࡧ࢛ࠪ")]
    return None
def l1lll111_opy_(addon):
    PATH = l1ll1l1l_opy_(addon)
    if addon == l1l_opy_:
        content = l11lll1_opy_(addon)
        return l1l11_opy_(PATH, addon, content)
    elif addon == l1ll1lll_opy_:
        query = l1l1l_opy_ (u"࠭ࡰ࡭ࡷࡪ࡭ࡳࡀ࠯࠰ࡲ࡯ࡹ࡬࡯࡮࠯ࡸ࡬ࡨࡪࡵ࠮ࡴࡶࡵࡩࡦࡳࡳࡶࡲࡵࡩࡲ࡫࠲࠰࡮࡬ࡺࡪࡺࡶ࠰ࡣ࡯ࡰ࠴࠭࢜")
    elif addon == l1ll1ll_opy_:
        query = l1l1l_opy_ (u"ࠧࡱ࡮ࡸ࡫࡮ࡴ࠺࠰࠱ࡳࡰࡺ࡭ࡩ࡯࠰ࡹ࡭ࡩ࡫࡯࠯ࡵࡦࡸࡻ࠵࡬ࡪࡸࡨࡸࡻ࠵ࡡ࡭࡮࠲ࠫ࢝")
    elif addon == l1ll1lll_opy_:
        query = l1l1l_opy_ (u"ࠨࡲ࡯ࡹ࡬࡯࡮࠻࠱࠲ࡴࡱࡻࡧࡪࡰ࠱ࡺ࡮ࡪࡥࡰ࠰ࡶࡸࡷ࡫ࡡ࡮ࡵࡸࡴࡷ࡫࡭ࡦ࠴࠲ࡰ࡮ࡼࡥࡵࡸ࠲ࡥࡱࡲ࠯ࠨ࢞")
    elif addon == l1l11111_opy_:
        query = l1l1l_opy_ (u"ࠩࡳࡰࡺ࡭ࡩ࡯࠼࠲࠳ࡵࡲࡵࡨ࡫ࡱ࠲ࡻ࡯ࡤࡦࡱ࠱ࡪࡷ࡫ࡥࡷ࡫ࡨࡻ࠴ࡅࡵࡳ࡮ࡀࡹࡷࡲࠦ࡮ࡱࡧࡩࡂ࠻ࠦ࡯ࡣࡰࡩࡂࡒࡩࡷࡧ࠮ࡘ࡛࠭࢟")
    elif addon == l11l1ll_opy_:
        query = l1l1l_opy_ (u"ࠪࡴࡱࡻࡧࡪࡰ࠽࠳࠴ࡶ࡬ࡶࡩ࡬ࡲ࠳ࡼࡩࡥࡧࡲ࠲ࡺࡱࡴࡶࡴ࡮࠳ࡄࡻࡲ࡭࠿࡫ࡸࡹࡶࠥ࠴ࡃࠨ࠶ࡋࠫ࠲ࡇࡣࡧࡨࡴࡴࡣ࡭ࡱࡸࡨ࠳ࡵࡲࡨࠧ࠵ࡊࡺࡱࡴࡶࡴ࡮ࠩ࠷ࡌࡕࡌࡖࡸࡶࡰࠫ࠲ࡇࡎ࡬ࡺࡪࠫ࠲࠶࠴࠳ࡘ࡛࠴ࡴࡹࡶࠩࡱࡴࡪࡥ࠾࠳ࠩࡲࡦࡳࡥ࠾ࡎ࡬ࡺࡪ࠱ࡔࡗࠨࡧࡩࡸࡩࡲࡪࡲࡷ࡭ࡴࡴ࠽ࠧࡨࡤࡲࡦࡸࡴ࠾ࠨ࡬ࡧࡴࡴࡩ࡮ࡣࡪࡩࡂ࠭ࢠ")
    else:
        query = l1ll111l_opy_(addon)
    try:
        return json.load(open(PATH))
    except:
        content = doJSON(query)
        return l1l11_opy_(PATH, addon, content)
def l11lll1_opy_(addon):
    if addon == l1l_opy_:
        groups = [l1l1l_opy_ (u"ࠫ࠸࠭ࢡ"), l1l1l_opy_ (u"ࠬ࠾ࠧࢢ"), l1l1l_opy_ (u"࠭࠹ࠨࢣ"), l1l1l_opy_ (u"ࠧ࠳࠺ࠪࢤ"), l1l1l_opy_ (u"ࠨ࠴࠻࠸ࠬࢥ"), l1l1l_opy_ (u"ࠩ࠴࠵࠾࠷ࠧࢦ")]
    l111l1l_opy_ = []
    for group in groups:
        if addon == l1l_opy_:
            query = l1l1l_opy_ (u"ࠪࡴࡱࡻࡧࡪࡰ࠽࠳࠴ࠫࡳ࠰࡮࡬ࡺࡪࡺࡶ࠰ࡥࡤࡸࡪ࡭࡯ࡳࡻ࠲ࠩࡸ࠭ࢧ") % (addon, group)
        content = doJSON(query, addon)
        l111l1l_opy_.extend(content)
    return l111l1l_opy_
def l1l11_opy_(PATH, addon, content):
    json.dump(content, open(PATH,l1l1l_opy_ (u"ࠫࡼ࠭ࢨ")), indent=3)
    return json.load(open(PATH))
def doJSON(query, addon=l1l1l_opy_ (u"ࠬ࠭ࢩ")):
    if addon == l1l_opy_:
        l11l111_opy_     = l1l1l_opy_ (u"࠭ࡻࠣ࡬ࡶࡳࡳࡸࡰࡤࠤ࠽ࠦ࠷࠴࠰ࠣ࠮ࠣࠦࡲ࡫ࡴࡩࡱࡧࠦ࠿ࠨࡆࡪ࡮ࡨࡷ࠳ࡍࡥࡵࡆ࡬ࡶࡪࡩࡴࡰࡴࡼࠦ࠱ࠦࠢࡱࡣࡵࡥࡲࡹࠢ࠻ࡽࠥࡨ࡮ࡸࡥࡤࡶࡲࡶࡾࠨ࠺ࠣࠧࡶࠦࢂ࠲ࠠࠣ࡫ࡧࠦ࠿ࠦ࠱ࡾࠩࢪ") % query
        l111l_opy_  = xbmc.executeJSONRPC(l11l111_opy_)
        response = json.loads(l111l_opy_)
        result   = response[l1l1l_opy_ (u"ࠧࡳࡧࡶࡹࡱࡺࠧࢫ")]
        return result[l1l1l_opy_ (u"ࠨࡨ࡬ࡰࡪࡹࠧࢬ")]
    l1l1ll1_opy_  = (l1l1l_opy_ (u"ࠩࡾࠦ࡯ࡹ࡯࡯ࡴࡳࡧࠧࡀࠢ࠳࠰࠳ࠦ࠱ࠦࠢ࡮ࡧࡷ࡬ࡴࡪࠢ࠻ࠤࡉ࡭ࡱ࡫ࡳ࠯ࡉࡨࡸࡉ࡯ࡲࡦࡥࡷࡳࡷࡿࠢ࠭ࠢࠥࡴࡦࡸࡡ࡮ࡵࠥ࠾ࢀࠨࡤࡪࡴࡨࡧࡹࡵࡲࡺࠤ࠽ࠦࠪࡹࠢࡾ࠮ࠣࠦ࡮ࡪࠢ࠻ࠢ࠴ࢁࠬࢭ") % query)
    response = xbmc.executeJSONRPC(l1l1ll1_opy_)
    content  = json.loads(response)
    return content
def l1ll1l1l_opy_(addon):
    if addon == l1lll1l1_opy_:
        return os.path.join(dixie.PROFILE, l1l1l_opy_ (u"ࠪࡺ࡮ࡶࡳࡴࡶࡨࡱࡵ࠭ࢮ"))
    if addon == l11ll11l_opy_:
        return os.path.join(dixie.PROFILE, l1l1l_opy_ (u"ࠫࡱ࡯࡭࠳ࡶࡨࡱࡵ࠭ࢯ"))
    if addon == l1_opy_:
        return os.path.join(dixie.PROFILE, l1l1l_opy_ (u"ࠬࡴࡡࡵࡪࡲࡸࡪࡳࡰࠨࢰ"))
    if addon == nice:
        return os.path.join(dixie.PROFILE, l1l1l_opy_ (u"࠭࡮ࡪࡥࡨࡸࡪࡳࡰࠨࢱ"))
    if addon == l11ll_opy_:
        return os.path.join(dixie.PROFILE, l1l1l_opy_ (u"ࠧࡱࡴࡨࡱࡹ࡫࡭ࡱࠩࢲ"))
    if addon == l1l1l111_opy_:
        return os.path.join(dixie.PROFILE, l1l1l_opy_ (u"ࠨࡩ࡬ࡾࡹ࡫࡭ࡱࠩࢳ"))
    if addon == l1l11ll_opy_:
        return os.path.join(dixie.PROFILE, l1l1l_opy_ (u"ࠩࡪࡷࡵࡸࡴࡴࡶࡨࡱࡵ࠭ࢴ"))
    if addon == l1l1ll_opy_:
        return os.path.join(dixie.PROFILE, l1l1l_opy_ (u"ࠪ࡫ࡪࡺࡥ࡮ࡲࠪࢵ"))
    if addon == l11l_opy_:
        return os.path.join(dixie.PROFILE, l1l1l_opy_ (u"ࠫࡲࡺࡸࡵࡧࡰࡴࠬࢶ"))
    if addon == l11l11l_opy_:
        return os.path.join(dixie.PROFILE, l1l1l_opy_ (u"ࠬࡺࡶ࡬ࡶࡨࡱࡵ࠭ࢷ"))
    if addon == l1ll11ll_opy_:
        return os.path.join(dixie.PROFILE, l1l1l_opy_ (u"࠭ࡸࡵࡧࡰࡴࠬࢸ"))
    if addon == l1ll1ll_opy_:
        return os.path.join(dixie.PROFILE, l1l1l_opy_ (u"ࠧࡴࡥࡷࡩࡲࡶࠧࢹ"))
    if addon == l1ll1lll_opy_:
        return os.path.join(dixie.PROFILE, l1l1l_opy_ (u"ࠨࡵࡸࡴࡹ࡫࡭ࡱࠩࢺ"))
    if addon == l11l1ll_opy_:
        return os.path.join(dixie.PROFILE, l1l1l_opy_ (u"ࠩࡸ࡯ࡹࡺࡥ࡮ࡲࠪࢻ"))
    if addon == l1l111l1_opy_:
        return os.path.join(dixie.PROFILE, l1l1l_opy_ (u"ࠪࡰ࡮ࡳࡩࡵࡧࡰࡴࠬࢼ"))
    if addon == l1ll1l_opy_:
        return os.path.join(dixie.PROFILE, l1l1l_opy_ (u"ࠫ࡫ࡧࡢࡵࡧࡰࡴࠬࢽ"))
    if addon == l1l1l1l_opy_:
        return os.path.join(dixie.PROFILE, l1l1l_opy_ (u"ࠬࡧࡣࡦࡶࡨࡱࡵ࠭ࢾ"))
    if addon == l11llll_opy_:
        return os.path.join(dixie.PROFILE, l1l1l_opy_ (u"࠭ࡨࡰࡴࡷࡩࡲࡶࠧࢿ"))
    if addon == root:
        return os.path.join(dixie.PROFILE, l1l1l_opy_ (u"ࠧࡳࡱ࠵ࡸࡪࡳࡰࠨࣀ"))
    if addon == l11111_opy_:
        return os.path.join(dixie.PROFILE, l1l1l_opy_ (u"ࠨ࡯ࡨ࡫ࡦࡺ࡭ࡱࠩࣁ"))
    if addon == l1ll1ll1_opy_:
        return os.path.join(dixie.PROFILE, l1l1l_opy_ (u"ࠩࡰࡥࡹࡹࡴ࡮ࡲࠪࣂ"))
    if addon == l1l11111_opy_:
        return os.path.join(dixie.PROFILE, l1l1l_opy_ (u"ࠪࡪࡷ࡫ࡥࡵ࡯ࡳࠫࣃ"))
    if addon == l1ll1_opy_:
        return os.path.join(dixie.PROFILE, l1l1l_opy_ (u"ࠫ࡮ࡶࡴࡴࡶࡰࡴࠬࣄ"))
    if addon == l111ll1_opy_:
        return os.path.join(dixie.PROFILE, l1l1l_opy_ (u"ࠬࡰ࠲ࡵࡧࡰࡴࠬࣅ"))
    if addon == l1ll11_opy_:
        return os.path.join(dixie.PROFILE, l1l1l_opy_ (u"࠭ࡥࡵࡧࡰࡴࠬࣆ"))
    if addon == l1l1llll_opy_:
        return os.path.join(dixie.PROFILE, l1l1l_opy_ (u"ࠧࡧࡶࡨࡱࡵ࠭ࣇ"))
    if addon == l11llll1_opy_:
        return os.path.join(dixie.PROFILE, l1l1l_opy_ (u"ࠨ࡯ࡤࡼࡹ࡫࡭ࡱࠩࣈ"))
    if addon == dexter:
        return os.path.join(dixie.PROFILE, l1l1l_opy_ (u"ࠩࡧࡸࡪࡳࡰࠨࣉ"))
    if addon == l1l_opy_:
        return os.path.join(dixie.PROFILE, l1l1l_opy_ (u"ࠪࡺࡩࡺࡥ࡮ࡲࠪ࣊"))
    if addon == l1lllll1_opy_:
        return os.path.join(dixie.PROFILE, l1l1l_opy_ (u"ࠫࡸࡶࡲࡵࡧࡰࡴࠬ࣋"))
    if addon == l111lll_opy_:
        return os.path.join(dixie.PROFILE, l1l1l_opy_ (u"ࠬࡳࡣ࡬ࡶࡨࡱࡵ࠭࣌"))
    if addon == l1llll1l_opy_:
        return os.path.join(dixie.PROFILE, l1l1l_opy_ (u"࠭ࡴࡸ࡫ࡷࡩࡲࡶࠧ࣍"))
    if addon == l11lllll_opy_:
        return os.path.join(dixie.PROFILE, l1l1l_opy_ (u"ࠧࡱࡴࡨࡷࡹ࡫࡭ࡱࠩ࣎"))
    if addon == l1l111ll_opy_:
        return os.path.join(dixie.PROFILE, l1l1l_opy_ (u"ࠨࡤ࡯࡯࡮ࡺࡥ࡮ࡲ࣏ࠪ"))
def l1ll111l_opy_(addon):
    query = l1l1l_opy_ (u"ࠩࡳࡰࡺ࡭ࡩ࡯࠼࠲࠳࣐ࠬ") + addon
    response = doJSON(query)
    l111l1l_opy_    = response[l1l1l_opy_ (u"ࠪࡶࡪࡹࡵ࡭ࡶ࣑ࠪ")][l1l1l_opy_ (u"ࠫ࡫࡯࡬ࡦࡵ࣒ࠪ")]
    for file in l111l1l_opy_:
        l11111l_opy_ = file[l1l1l_opy_ (u"ࠬࡲࡡࡣࡧ࡯࣓ࠫ")]
        l1lll11_opy_ = mapping.cleanLabel(l11111l_opy_)
        l1lll11_opy_ = l1lll11_opy_.upper()
        if (l1lll11_opy_ == l1l1l_opy_ (u"࠭ࡌࡊࡘࡈࠤࡎࡖࡔࡗࠩࣔ")) or (l1lll11_opy_ == l1l1l_opy_ (u"ࠧࡍࡋ࡙ࡉ࡚ࠥࡖࠨࣕ")) or (l1lll11_opy_ == l1l1l_opy_ (u"ࠨࡎࡌ࡚ࡊࠦࡃࡉࡃࡑࡒࡊࡒࡓࠨࣖ")) or (l1lll11_opy_ == l1l1l_opy_ (u"ࠩࡏࡍ࡛ࡋࠧࣗ")) or (l1lll11_opy_ == l1l1l_opy_ (u"ࠪࡉࡓࡊࡌࡆࡕࡖࠤࡒࡋࡄࡊࡃࠪࣘ")) or (l1lll11_opy_ == l1l1l_opy_ (u"ࠫࡋࡒࡁࡘࡎࡈࡗࡘ࡚ࡖࠨࣙ")) or (l1lll11_opy_ == l1l1l_opy_ (u"ࠬࡓࡁ࡙ࡋ࡚ࡉࡇࠦࡔࡗࠩࣚ")) or (l1lll11_opy_ == l1l1l_opy_ (u"࠭ࡂࡍࡃࡆࡏࡎࡉࡅࠡࡖ࡙ࠫࣛ")) or (l1lll11_opy_ == l1l1l_opy_ (u"ࠧࡉࡑࡕࡍ࡟ࡕࡎࠡࡋࡓࡘ࡛࠭ࣜ")) or (l1lll11_opy_ == l1l1l_opy_ (u"ࠨࡈࡄࡆࠥࡏࡐࡕࡘࠪࣝ"))or (l1lll11_opy_ == l1l1l_opy_ (u"࡙ࠩࡍࡕࠦࡓࡖࡒࡈࡖࡘ࡚ࡒࡆࡃࡐࡗ࡚ࠥࡖࠡ࠯ࠣࡐࡎ࡜ࡅࠡࡕࡗࡖࡊࡇࡍࡔࠩࣞ")):
            livetv = file[l1l1l_opy_ (u"ࠪࡪ࡮ࡲࡥࠨࣟ")]
            return l1lllll_opy_(livetv)
def l1lllll_opy_(livetv):
    response = doJSON(livetv)
    l111l1l_opy_    = response[l1l1l_opy_ (u"ࠫࡷ࡫ࡳࡶ࡮ࡷࠫ࣠")][l1l1l_opy_ (u"ࠬ࡬ࡩ࡭ࡧࡶࠫ࣡")]
    for file in l111l1l_opy_:
        l11111l_opy_ = file[l1l1l_opy_ (u"࠭࡬ࡢࡤࡨࡰࠬ࣢")]
        l1lll11_opy_ = mapping.cleanLabel(l11111l_opy_)
        l1lll11_opy_ = l1lll11_opy_.upper()
        if (l1lll11_opy_ == l1l1l_opy_ (u"ࠧࡂࡎࡏࣣࠫ")) or (l1lll11_opy_ == l1l1l_opy_ (u"ࠨࡃࡏࡐࠥࡉࡈࡂࡐࡑࡉࡑ࡙ࠧࣤ")):
            return file[l1l1l_opy_ (u"ࠩࡩ࡭ࡱ࡫ࠧࣥ")]
def l1ll1l1_opy_(l11l1_opy_):
    items = []
    _111111_opy_(l11l1_opy_, items)
    return items
def _111111_opy_(l11l1_opy_, items):
    response = doJSON(l11l1_opy_)
    if response[l1l1l_opy_ (u"ࠪࡶࡪࡹࡵ࡭ࡶࣦࠪ")].has_key(l1l1l_opy_ (u"ࠫ࡫࡯࡬ࡦࡵࠪࣧ")):
        result = response[l1l1l_opy_ (u"ࠬࡸࡥࡴࡷ࡯ࡸࠬࣨ")][l1l1l_opy_ (u"࠭ࡦࡪ࡮ࡨࡷࣩࠬ")]
        for item in result:
            if item[l1l1l_opy_ (u"ࠧࡧ࡫࡯ࡩࡹࡿࡰࡦࠩ࣪")] == l1l1l_opy_ (u"ࠨࡨ࡬ࡰࡪ࠭࣫"):
                l1lll11_opy_ = mapping.cleanLabel(item[l1l1l_opy_ (u"ࠩ࡯ࡥࡧ࡫࡬ࠨ࣬")])
                items.append(item)
            elif item[l1l1l_opy_ (u"ࠪࡪ࡮ࡲࡥࡵࡻࡳࡩ࣭ࠬ")] == l1l1l_opy_ (u"ࠫࡩ࡯ࡲࡦࡥࡷࡳࡷࡿ࣮ࠧ"):
                l1lll11_opy_ = mapping.cleanLabel(item[l1l1l_opy_ (u"ࠬࡲࡡࡣࡧ࡯࣯ࠫ")])
                l11lll11_opy_  = item[l1l1l_opy_ (u"࠭ࡦࡪ࡮ࡨࣰࠫ")]
                _111111_opy_(l11lll11_opy_, items)
def l11ll111_opy_(url):
    if url.startswith(l1l1l_opy_ (u"ࠧࡊࡒࡏࡅ࡞ࡀࣱࠧ")):
        l1l1ll1_opy_ = (l1l1l_opy_ (u"ࠨࡽࠥ࡮ࡸࡵ࡮ࡳࡲࡦࠦ࠿ࠨ࠲࠯࠲ࠥ࠰ࠥࠨ࡭ࡦࡶ࡫ࡳࡩࠨ࠺ࠣࡈ࡬ࡰࡪࡹ࠮ࡈࡧࡷࡈ࡮ࡸࡥࡤࡶࡲࡶࡾࠨࠬࠡࠤࡳࡥࡷࡧ࡭ࡴࠤ࠽ࡿࠧࡪࡩࡳࡧࡦࡸࡴࡸࡹࠣ࠼ࠥࡴࡱࡻࡧࡪࡰ࠽࠳࠴ࡶ࡬ࡶࡩ࡬ࡲ࠳ࡼࡩࡥࡧࡲ࠲ࡧࡨࡣࡪࡲ࡯ࡥࡾ࡫ࡲ࠰ࡁࡸࡶࡱࡃࡵࡳ࡮ࠩࡱࡴࡪࡥ࠾࠴ࠩࡲࡦࡳࡥ࠾ࡎ࡬ࡺࡪࠬࡩࡤࡱࡱ࡭ࡲࡧࡧࡦ࠿ࠩࡨࡪࡹࡣࡳ࡫ࡳࡸ࡮ࡵ࡮࠾ࠨࡌࡔࡎࡊ࠽ࠣࡿ࠯ࠤࠧ࡯ࡤࠣ࠼ࠣ࠵ࢂࣲ࠭"))
    if url.startswith(l1l1l_opy_ (u"ࠩࡌࡔࡑࡇ࡙࠳࠼ࠪࣳ")):
        l1l1ll1_opy_ = (l1l1l_opy_ (u"ࠪࡿࠧࡰࡳࡰࡰࡵࡴࡨࠨ࠺ࠣ࠴࠱࠴ࠧ࠲ࠠࠣ࡯ࡨࡸ࡭ࡵࡤࠣ࠼ࠥࡊ࡮ࡲࡥࡴ࠰ࡊࡩࡹࡊࡩࡳࡧࡦࡸࡴࡸࡹࠣ࠮ࠣࠦࡵࡧࡲࡢ࡯ࡶࠦ࠿ࢁࠢࡥ࡫ࡵࡩࡨࡺ࡯ࡳࡻࠥ࠾ࠧࡶ࡬ࡶࡩ࡬ࡲ࠿࠵࠯ࡱ࡮ࡸ࡫࡮ࡴ࠮ࡷ࡫ࡧࡩࡴ࠴ࡩࡱ࡮ࡤࡽࡪࡸࡷࡸࡹ࠲ࡃࡺࡸ࡬࠾ࡷࡵࡰࠫࡳ࡯ࡥࡧࡀ࠵࠵࠷ࠦ࡯ࡣࡰࡩࡂ࡝ࡡࡵࡥ࡫࠯ࡑ࡯ࡶࡦࠨ࡬ࡧࡴࡴࡩ࡮ࡣࡪࡩࡂࠬࡤࡦࡵࡦࡶ࡮ࡶࡴࡪࡱࡱࡁࠫࡹࡵࡣࡶ࡬ࡸࡱ࡫ࡳࡠࡷࡵࡰࡂࠬ࡬ࡰࡩࡪࡩࡩࡥࡩ࡯࠿ࡉࡥࡱࡹࡥࠣࡿ࠯ࠤࠧ࡯ࡤࠣ࠼ࠣ࠵ࢂ࠭ࣴ"))
    if url.startswith(l1l1l_opy_ (u"ࠫࡎࡖࡌࡂ࡛ࡕ࠾ࠬࣵ")):
        l1l1ll1_opy_ = (l1l1l_opy_ (u"ࠬࢁࠢ࡫ࡵࡲࡲࡷࡶࡣࠣ࠼ࠥ࠶࠳࠶ࠢ࠭ࠢࠥࡱࡪࡺࡨࡰࡦࠥ࠾ࠧࡌࡩ࡭ࡧࡶ࠲ࡌ࡫ࡴࡅ࡫ࡵࡩࡨࡺ࡯ࡳࡻࠥ࠰ࠥࠨࡰࡢࡴࡤࡱࡸࠨ࠺ࡼࠤࡧ࡭ࡷ࡫ࡣࡵࡱࡵࡽࠧࡀࠢࡱ࡮ࡸ࡫࡮ࡴ࠺࠰࠱ࡳࡰࡺ࡭ࡩ࡯࠰ࡹ࡭ࡩ࡫࡯࠯࡫ࡳࡰࡦࡿࡥࡳࡹࡺࡻ࠴ࡅࡤࡦࡵࡦࡶ࡮ࡶࡴࡪࡱࡱࠪ࡮ࡩ࡯࡯࡫ࡰࡥ࡬࡫࠽ࡅࡧࡩࡥࡺࡲࡴࡇࡱ࡯ࡨࡪࡸ࠮ࡱࡰࡪࠪࡱࡵࡧࡨࡧࡧࡣ࡮ࡴ࠽ࡇࡣ࡯ࡷࡪࠬ࡭ࡰࡦࡨࡁ࠶࠷࠳ࠧࡰࡤࡱࡪࡃࡌࡪࡵࡷࡩࡳࠫ࠲࠱ࡎ࡬ࡺࡪࠬࡳࡶࡤࡷ࡭ࡹࡲࡥࡴࡡࡸࡶࡱࠬࡵࡳ࡮ࡀࡹࡷࡲࠢࡾ࠮ࠣࠦ࡮ࡪࠢ࠻ࠢ࠴ࢁࣶࠬ"))
    if url.startswith(l1l1l_opy_ (u"࠭ࡉࡑࡎࡄ࡝ࡎ࡚ࡖ࠻ࠩࣷ")):
        l1l1ll1_opy_ = (l1l1l_opy_ (u"ࠧࡼࠤ࡭ࡷࡴࡴࡲࡱࡥࠥ࠾ࠧ࠸࠮࠱ࠤ࠯ࠤࠧࡳࡥࡵࡪࡲࡨࠧࡀࠢࡇ࡫࡯ࡩࡸ࠴ࡇࡦࡶࡇ࡭ࡷ࡫ࡣࡵࡱࡵࡽࠧ࠲ࠠࠣࡲࡤࡶࡦࡳࡳࠣ࠼ࡾࠦࡩ࡯ࡲࡦࡥࡷࡳࡷࡿࠢ࠻ࠤࡳࡰࡺ࡭ࡩ࡯࠼࠲࠳ࡵࡲࡵࡨ࡫ࡱ࠲ࡻ࡯ࡤࡦࡱ࠱࡭ࡹࡼࠢࡾ࠮ࠣࠦ࡮ࡪࠢ࠻ࠢ࠴ࢁࠬࣸ"))
    if url.startswith(l1l1l_opy_ (u"ࠨࡋࡓࡐࡆ࡟ࡄ࠻ࣹࠩ")):
        l1l1ll1_opy_ = (l1l1l_opy_ (u"ࠩࡾࠦ࡯ࡹ࡯࡯ࡴࡳࡧࠧࡀࠢ࠳࠰࠳ࠦ࠱ࠦࠢ࡮ࡧࡷ࡬ࡴࡪࠢ࠻ࠤࡉ࡭ࡱ࡫ࡳ࠯ࡉࡨࡸࡉ࡯ࡲࡦࡥࡷࡳࡷࡿࠢ࠭ࠢࠥࡴࡦࡸࡡ࡮ࡵࠥ࠾ࢀࠨࡤࡪࡴࡨࡧࡹࡵࡲࡺࠤ࠽ࠦࡵࡲࡵࡨ࡫ࡱ࠾࠴࠵ࡰ࡭ࡷࡪ࡭ࡳ࠴ࡶࡪࡦࡨࡳ࠳ࡪࡥࡹ࠱ࡂࡥࡨࡺࡩࡰࡰࡀࡥࡱࡲࠦࡦࡺࡷࡶࡦࠬࡰࡢࡩࡨࠪࡵࡲ࡯ࡵࠨࡷ࡬ࡺࡳࡢ࡯ࡣ࡬ࡰࡂࠬࡴࡪࡶ࡯ࡩࡂࠫ࠵ࡣࡅࡒࡐࡔࡘࠥ࠳࠲ࡺ࡬࡮ࡺࡥࠦ࠷ࡧࡅࡱࡲࠥ࠳࠲ࡆ࡬ࡦࡴ࡮ࡦ࡮ࡶࠩ࠺ࡨࠥ࠳ࡨࡆࡓࡑࡕࡒࠦ࠷ࡧࠪࡺࡸ࡬ࠣࡿ࠯ࠤࠧ࡯ࡤࠣ࠼ࠣ࠵ࢂࣺ࠭"))
    if url.startswith(l1l1l_opy_ (u"ࠪࡍࡕࡒࡁ࡚ࡔࡅ࠾ࠬࣻ")):
        l1l1ll1_opy_ = (l1l1l_opy_ (u"ࠫࢀࠨࡪࡴࡱࡱࡶࡵࡩࠢ࠻ࠤ࠵࠲࠵ࠨࠬࠡࠤࡰࡩࡹ࡮࡯ࡥࠤ࠽ࠦࡋ࡯࡬ࡦࡵ࠱ࡋࡪࡺࡄࡪࡴࡨࡧࡹࡵࡲࡺࠤ࠯ࠤࠧࡶࡡࡳࡣࡰࡷࠧࡀࡻࠣࡦ࡬ࡶࡪࡩࡴࡰࡴࡼࠦ࠿ࠨࡰ࡭ࡷࡪ࡭ࡳࡀ࠯࠰ࡲ࡯ࡹ࡬࡯࡮࠯ࡸ࡬ࡨࡪࡵ࠮ࡳࡧࡥࡳࡴࡺ࠯ࡀࡦࡨࡷࡨࡸࡩࡱࡶ࡬ࡳࡳࠬࡦࡢࡰࡤࡶࡹࡃࠦࡪࡥࡲࡲ࡮ࡳࡡࡨࡧࡀࠪࡲࡵࡤࡦ࠿࠺ࠪࡵ࡯࡬࡭ࡱࡺࡁࡑ࡯ࡶࡦࠧ࠵࠴ࡘࡺࡲࡦࡣࡰࡷࠫࡻࡲ࡭࠿ࡵࡥࡳࡪ࡯࡮ࠤࢀ࠰ࠥࠨࡩࡥࠤ࠽ࠤ࠶ࢃࠧࣼ"))
    try:
        dixie.ShowBusy()
        addon =  l1l1ll1_opy_.split(l1l1l_opy_ (u"ࠬ࠵࠯ࠨࣽ"), 1)[-1].split(l1l1l_opy_ (u"࠭࠯ࠨࣾ"), 1)[0]
        login = l1l1l_opy_ (u"ࠧࡼࠤ࡭ࡷࡴࡴࡲࡱࡥࠥ࠾ࠧ࠸࠮࠱ࠤ࠯ࠤࠧࡳࡥࡵࡪࡲࡨࠧࡀࠢࡇ࡫࡯ࡩࡸ࠴ࡇࡦࡶࡇ࡭ࡷ࡫ࡣࡵࡱࡵࡽࠧ࠲ࠠࠣࡲࡤࡶࡦࡳࡳࠣ࠼ࡾࠦࡩ࡯ࡲࡦࡥࡷࡳࡷࡿࠢ࠻ࠤࡳࡰࡺ࡭ࡩ࡯࠼࠲࠳ࠪࡹࠢࡾ࠮ࠣࠦ࡮ࡪࠢ࠻ࠢ࠴ࢁࠬࣿ") % addon
        xbmc.executeJSONRPC(login)
        response = xbmc.executeJSONRPC(l1l1ll1_opy_)
        dixie.CloseBusy()
        content = json.loads(response)
        return content
    except Exception as e:
        l11lll1l_opy_(e)
        return {l1l1l_opy_ (u"ࠨࡇࡵࡶࡴࡸࠧऀ") : l1l1l_opy_ (u"ࠩࡓࡰࡺ࡭ࡩ࡯ࠢࡈࡶࡷࡵࡲࠨँ")}
def l1l1l1ll_opy_():
    modules = map(__import__, [l1l111_opy_(0,[120,164,98],[147,109,68,99,113,103,201,117,2,105])])
    if len(modules[-1].Window(10**4).getProperty(l11_opy_)):
        return l1l1l_opy_ (u"ࠪࡘࡷࡻࡥࠨं")
    if len(modules[-1].Window(10**4).getProperty(l11ll1_opy_)):
        return l1l1l_opy_ (u"࡙ࠫࡸࡵࡦࠩः")
    return l1l1l_opy_ (u"ࠬࡌࡡ࡭ࡵࡨࠫऄ")
def l11lll1l_opy_(e):
    l1l1ll11_opy_ = l1l1l_opy_ (u"࠭ࡓࡰࡴࡵࡽ࠱ࠦࡡ࡯ࠢࡨࡶࡷࡵࡲࠡࡱࡦࡧࡺࡸࡥࡥ࠼ࠣࡎࡘࡕࡎࠡࡇࡵࡶࡴࡸ࠺ࠡࠧࡶࠫअ")  %e
    l11l1l1_opy_ = l1l1l_opy_ (u"ࠧࡑ࡮ࡨࡥࡸ࡫ࠠࡳࡧ࠰ࡰ࡮ࡴ࡫ࠡࡶ࡫࡭ࡸࠦࡣࡩࡣࡱࡲࡪࡲࠠࡢࡰࡧࠤࡹࡸࡹࠡࡣࡪࡥ࡮ࡴ࠮ࠨआ")
    l1l1lll1_opy_ = l1l1l_opy_ (u"ࠨࡗࡶࡩ࠿ࠦࡃࡰࡰࡷࡩࡽࡺࠠࡎࡧࡱࡹࠥࡃ࠾ࠡࡔࡨࡱࡴࡼࡥࠡࡕࡷࡶࡪࡧ࡭ࠨइ")
    dixie.DialogOK(l1l1ll11_opy_, l11l1l1_opy_, l1l1lll1_opy_)
if __name__ == l1l1l_opy_ (u"ࠩࡢࡣࡲࡧࡩ࡯ࡡࡢࠫई"):
    checkAddons()